# ClustersApi

## ClustersApi

All URIs are relative to *<https://mariadb.de-txl.ionos.com>*

| Method                                             | HTTP request                     | Description      |
| -------------------------------------------------- | -------------------------------- | ---------------- |
| [**clusters\_delete**](#clusters_delete)           | **DELETE** /clusters/{clusterId} | Delete a cluster |
| [**clusters\_find\_by\_id**](#clusters_find_by_id) | **GET** /clusters/{clusterId}    | Fetch a cluster  |
| [**clusters\_get**](#clusters_get)                 | **GET** /clusters                | List clusters    |
| [**clusters\_post**](#clusters_post)               | **POST** /clusters               | Create a cluster |

## **clusters\_delete**

> ClusterResponse clusters\_delete(cluster\_id)

Delete a cluster

Delete a MariaDB cluster.

#### Example

#### Parameters

| Name            | Type    | Description                   | Notes |
| --------------- | ------- | ----------------------------- | ----- |
| **cluster\_id** | **str** | The unique ID of the cluster. |       |

#### Return type

[**ClusterResponse**](/mariadb-sdk-python/models/clusterresponse.md)

#### Authorization

tokenAuth

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **clusters\_find\_by\_id**

> ClusterResponse clusters\_find\_by\_id(cluster\_id)

Fetch a cluster

You can retrieve a MariaDB cluster by using its ID. This value can be found in the response body when a MariaDB cluster is created or when you GET a list of MariaDB clusters.

#### Example

#### Parameters

| Name            | Type    | Description                   | Notes |
| --------------- | ------- | ----------------------------- | ----- |
| **cluster\_id** | **str** | The unique ID of the cluster. |       |

#### Return type

[**ClusterResponse**](/mariadb-sdk-python/models/clusterresponse.md)

#### Authorization

tokenAuth

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **clusters\_get**

> ClusterList clusters\_get(limit=limit, offset=offset, filter\_name=filter\_name)

List clusters

Retrieves a list of MariaDB clusters.

#### Example

#### Parameters

| Name             | Type    | Description                                                                                                                                              | Notes                         |
| ---------------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------- |
| **limit**        | **int** | The maximum number of elements to return. Use together with 'offset' for pagination.                                                                     | \[optional] \[default to 100] |
| **offset**       | **int** | The first element to return. Use together with 'limit' for pagination.                                                                                   | \[optional] \[default to 0]   |
| **filter\_name** | **str** | Response filter to list only the MariaDB clusters that contain the specified name. The value is case insensitive and matched on the 'displayName' field. | \[optional]                   |

#### Return type

[**ClusterList**](/mariadb-sdk-python/models/clusterlist.md)

#### Authorization

tokenAuth

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **clusters\_post**

> ClusterResponse clusters\_post(create\_cluster\_request)

Create a cluster

Creates a new MariaDB cluster.

#### Example

#### Parameters

| Name                         | Type                                                                           | Description                | Notes |
| ---------------------------- | ------------------------------------------------------------------------------ | -------------------------- | ----- |
| **create\_cluster\_request** | [**CreateClusterRequest**](/mariadb-sdk-python/models/createclusterrequest.md) | The cluster to be created. |       |

#### Return type

[**ClusterResponse**](/mariadb-sdk-python/models/clusterresponse.md)

#### Authorization

tokenAuth

#### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/mariadb-sdk-python/api/clustersapi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
